View Issue Details

IDProjectCategoryView StatusLast Update
0007279Talerauditorpublic2022-07-28 22:30
Reporterttn Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformLinuxOSDevuanOS Version4
Product Versiongit (master) 
Target Version0.9Fixed in Version0.9 
Summary0007279: "make check" fails with "column does not exist" (SQL) error
DescriptionThis is in category "auditor" since the error occurs in src/auditor.
Log attached.
TagsNo tags attached.

Activities

ttn

2022-07-14 05:14

developer  

test-suite.log (1,311 bytes)   
======================================================
   taler-exchange 0.8.5: src/auditor/test-suite.log
======================================================

# TOTAL: 3
# PASS:  0
# SKIP:  2
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

SKIP: test-auditor.sh
=====================

Testing for jq
./test-auditor.sh: riga 1870: jq: comando non trovato
jq required
SKIP test-auditor.sh (exit status: 77)

SKIP: test-revocation.sh
========================

Testing for jq
./test-revocation.sh: riga 494: jq: comando non trovato
jq required
SKIP test-revocation.sh (exit status: 77)

FAIL: test-sync.sh
==================

Testing synchronization logic ......2022-07-13T22:58:40.984056-0400 pq-4670 ERROR PQprepare (`SELECT  reserve_found,balance_ok,nonce_ok,kycok AS kyc_ok,account_uuid AS payment_target_uuid,ruuid FROM exchange_do_withdraw ($1,$2,$3,$4,$5,$6,$7,$8,$9,$10);' as `call_withdraw') failed with error: ERROR:  column "nonce_ok" does not exist
LINE 1: SELECT  reserve_found,balance_ok,nonce_ok,kycok AS kyc_ok,ac...
                                         ^

2022-07-13T22:58:40.984160-0400 taler-auditor-sync-4670 ERROR Failed to begin transaction with data source. Exiting
.FAIL
Record count mismatch: 424 / 0 in table denominations
FAIL test-sync.sh (exit status: 1)

test-suite.log (1,311 bytes)   

ttn

2022-07-22 01:49

developer   ~0018965

I tried "make clean" as well as "make uninstall". Still no joy.
HEAD == 9eaee4c80353b4e1317c0df2418f24209c2b238d.

ttn

2022-07-28 05:36

developer   ~0018972

With HEAD == 4d4955e225011efb02ebce2ecaf7d29198c8d89f, "make check" no longer fails w/ the "no such column" SQL error.
(It fails further on, but that's another issue.)
Closing.

Issue History

Date Modified Username Field Change
2022-07-14 05:14 ttn New Issue
2022-07-14 05:14 ttn Status new => assigned
2022-07-14 05:14 ttn Assigned To => Christian Grothoff
2022-07-14 05:14 ttn File Added: test-suite.log
2022-07-22 01:49 ttn Note Added: 0018965
2022-07-28 05:36 ttn Status assigned => resolved
2022-07-28 05:36 ttn Resolution open => fixed
2022-07-28 05:36 ttn Note Added: 0018972
2022-07-28 22:30 Christian Grothoff Fixed in Version => 0.9
2022-07-28 22:30 Christian Grothoff Target Version => 0.9